from setuptools import setup, find_packages
import os

version = '0.1.1'
classifiers = ["Programming Language :: Python",
               "Topic :: Software Development :: Libraries :: Python Modules"]
README = os.path.join(os.path.dirname(__file__), 'README.txt')
HISTORY = os.path.join(os.path.dirname(__file__), 'HISTORY.txt')
long_description = open(README).read() + '\n\n' + open(HISTORY).read() + '\n\n'

setup(name='roopeshv.skels',
      version=version,
      description=("PasteScript Templates I will be using"),
      long_description=long_description,
      classifiers=classifiers,
      keywords='paste templates',
      author='roopesh vaddepally',
      author_email='roopeshvaddepally@gmail.com',
      url='',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['roopeshv'],
      include_package_data=True,
      install_requires=['setuptools',
                        'PasteScript',
                        'ZopeSkel',],
      entry_points="""
          # -*- Entry Points: -*-
          [paste.paster_create_template]
          roopeshv_package = roopeshv.skels.package:Package
      """)
